package org.gcube.informationsystem.utils.documentation;

import java.util.ServiceLoader;

import org.gcube.informationsystem.discovery.ISModelRegistrationProvider;
import org.gcube.informationsystem.discovery.RegistrationProvider;
import org.gcube.informationsystem.utils.documentation.generator.TreeGenerator;
import org.gcube.informationsystem.utils.documentation.model.DocumentationGenerator;
import org.junit.Test;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class GenerateTest {

	@Test
	public void testDocGeneration() throws Exception {
		DocumentationGenerator.setDefaultOffsetLevel(2);

		ServiceLoader<? extends RegistrationProvider> registrationProviders = ServiceLoader
				.load(RegistrationProvider.class);
		for(RegistrationProvider rp : registrationProviders) {
			TreeGenerator treeGenerator = new TreeGenerator(rp);
			if(rp instanceof ISModelRegistrationProvider) {
				treeGenerator.setSplittedFiles(false);
				treeGenerator.setDesiredFileName("is-model");
			}else {
				treeGenerator.setSplittedFiles(true);
			}
			treeGenerator.generate();
		}
	}
	
}
